/*
 *   This file was automatically generated by version 1.7 of cextract.
 *   Manual editing not recommended.

 */
#ifndef __CEXTRACT__

extern int p3d_rw_jnt_get_type_by_name ( const char * name, p3d_type_joint * type );
extern int p3d_rw_jnt_get_type_by_num ( int num, p3d_type_joint * type );
extern const char * p3d_rw_jnt_get_name_by_type ( p3d_type_joint type );
extern int p3d_rw_jnt_get_num_by_type ( p3d_type_joint type );
extern const char * p3d_rw_jnt_get_name_by_num ( int num );
extern p3d_read_jnt_link_data * p3d_rw_jnt_create_joint_link ( void );
extern void p3d_rw_jnt_destroy_joint_link ( p3d_read_jnt_link_data * jnt_linkPt );
extern p3d_read_jnt_data * p3d_create_read_jnt_data ( p3d_type_joint type );
extern void p3d_destroy_read_jnt_data ( p3d_read_jnt_data * data );
extern int p3d_parse_jnt_desc ( FILE * f, char ** line, int * size, int * num_line, p3d_read_jnt_data * data );
extern int p3d_env_beg_jnt_desc ( FILE * f, p3d_type_joint type, double scale );
extern void p3d_rw_jnt_write_jnt_desc ( FILE * f, p3d_jnt * jntPt );
extern int s_p3d_build_jnt_data(p3d_read_jnt_data * data);

#endif /* __CEXTRACT__ */
